## xpdf 0.6

=== Makefile ===
#========================================================================
#
# Main xpdf Makefile.
#
# Copyright 1996 Derek B. Noonburg
#
#========================================================================

all:
	cd goo; $(MAKE)
	cd ltk; $(MAKE)
	cd xpdf; $(MAKE) all

xpdf:
	cd goo; $(MAKE)
	cd ltk; $(MAKE)
	cd xpdf; $(MAKE) xpdf

pdftops:
	cd goo; $(MAKE)
	cd xpdf; $(MAKE) pdftops

install:
	install -c xpdf/xpdf $(PREFIX)/bin
	install -c xpdf/pdftops $(PREFIX)/bin
	install -c xpdf.1 $(PREFIX)/man/man1
	install -c pdftops.1 $(PREFIX)/man/man1

clean:
	cd goo; $(MAKE) clean
	cd ltk; $(MAKE) clean
	cd xpdf; $(MAKE) clean

=== goo/Makefile ===
#========================================================================
#
# Goo library Makefile
#
# Copyright 1996 Derek B. Noonburg
#
#========================================================================

include ../Makefile.config

CFLAGS = $(CFLAGS2) -I.
CXXFLAGS = $(CXXFLAGS2) -I.

#------------------------------------------------------------------------

GOO_CXX_OBJS = GString.o gmempp.o fileNames.o
GOO_C_OBJS = gmem.o parseargs.o cover.o
GOO_OBJS = $(GOO_CXX_OBJS) $(GOO_C_OBJS)

libGoo.a: $(GOO_OBJS)
	rm -f libGoo.a
	$(AR) libGoo.a $(GOO_OBJS)
	$(RANLIB) libGoo.a

#------------------------------------------------------------------------

clean:
	rm -f $(GOO_OBJS) libGoo.a
	rm -f Makefile.bak

#------------------------------------------------------------------------

depend:
	cp Makefile Makefile.bak
	sed '/^#----- dependences -----/q' Makefile.bak >Makefile
	echo >>Makefile
	$(CXX) $(CXXFLAGS) -M $(GOO_CXX_OBJS:.o=.cc) |\
	  sed 's/\/usr\/[^ ]* *//g;/^  \\$$/d' >>Makefile
	$(CC) $(CFLAGS) -M $(GOO_C_OBJS:.o=.c) |\
	  sed 's/\/usr\/[^ ]* *//g;/^  \\$$/d' >>Makefile

#----- dependences -----

GString.o: GString.cc \
 GString.h
gmempp.o: gmempp.cc gmem.h
fileNames.o: fileNames.cc \
 GString.h fileNames.h gtypes.h
gmem.o: gmem.c \
 gmem.h
parseargs.o: parseargs.c \
 parseargs.h gtypes.h
cover.o: cover.c \
 gmem.h cover.h

=== ltk/Makefile ===
#========================================================================
#
# LTK library Makefile
#
# Copyright 1996 Derek B. Noonburg
#
#========================================================================

include ../Makefile.config

GOODIR = ../goo

CXXFLAGS = $(CXXFLAGS2) -I$(GOODIR) -I.

all: libLTK.a ltkbuild

#------------------------------------------------------------------------

LTK_OBJS =	LTKApp.o \
		LTKBorder.o \
		LTKBox.o \
		LTKButton.o \
		LTKCanvas.o \
		LTKDblBufCanvas.o \
		LTKEmpty.o \
		LTKLabel.o \
		LTKMisc.o \
		LTKResources.o \
		LTKScrollbar.o \
		LTKScrollingCanvas.o \
		LTKTextIn.o \
		LTKWidget.o \
		LTKWindow.o

libLTK.a: $(LTK_OBJS)
	rm -f libLTK.a
	$(AR) libLTK.a $(LTK_OBJS)
	$(RANLIB) libLTK.a

#------------------------------------------------------------------------

LTKBUILD_OBJS = ltkbuild.o
LTKBUILD_LIBS = -L$(GOODIR) -lGoo

ltkbuild: $(LTKBUILD_OBJS)
	$(CXX) $(CXXFLAGS) -o ltkbuild $(LTKBUILD_OBJS) $(LTKBUILD_LIBS)

#------------------------------------------------------------------------

clean:
	rm -f $(LTK_OBJS) libLTK.a
	rm -f $(LTKBUILD_OBJS) ltkbuild
	rm -f Makefile.bak

#------------------------------------------------------------------------

depend:
	cp Makefile Makefile.bak
	sed '/^#----- dependences -----/q' Makefile.bak >Makefile
	echo >>Makefile
	$(CXX) $(CXXFLAGS) -M $(LTK_OBJS:.o=.cc) |\
	  sed 's/\/usr\/[^ ]* *//g;/^  \\$$/d' >>Makefile
	$(CXX) $(CXXFLAGS) -M $(LTKBUILD_OBJS:.o=.cc) |\
	  sed 's/\/usr\/[^ ]* *//g;/^  \\$$/d' >>Makefile

#----- dependences -----

LTKApp.o: LTKApp.cc \
 ../goo/gtypes.h LTKApp.h \
 ../goo/GString.h \
 LTKResources.h LTKWindow.h LTKMisc.h \
 LTKWidget.h
LTKBorder.o: LTKBorder.cc \
 ../goo/gtypes.h \
 LTKBorder.h
LTKBox.o: LTKBox.cc \
 LTKWindow.h ../goo/gtypes.h \
 ../goo/GString.h LTKBox.h LTKBorder.h \
 LTKWidget.h
LTKButton.o: LTKButton.cc \
 LTKWindow.h ../goo/gtypes.h \
 ../goo/GString.h LTKButton.h LTKWidget.h \
 LTKBorder.h
LTKCanvas.o: LTKCanvas.cc \
 LTKWindow.h ../goo/gtypes.h \
 ../goo/GString.h LTKCanvas.h LTKWidget.h
LTKDblBufCanvas.o: LTKDblBufCanvas.cc \
 LTKWindow.h ../goo/gtypes.h \
 ../goo/GString.h LTKDblBufCanvas.h LTKWidget.h
LTKEmpty.o: LTKEmpty.cc \
 LTKWindow.h ../goo/gtypes.h \
 ../goo/GString.h LTKEmpty.h LTKWidget.h
LTKLabel.o: LTKLabel.cc \
 LTKLabel.h ../goo/GString.h \
 LTKWidget.h ../goo/gtypes.h LTKWindow.h
LTKMisc.o: LTKMisc.cc \
 LTKMisc.h \
 ../goo/GString.h LTKWindow.h \
 ../goo/gtypes.h LTKWidget.h
LTKResources.o: LTKResources.cc \
 ../goo/gtypes.h ../goo/GString.h \
 ../goo/fileNames.h LTKConfig.h LTKMisc.h LTKResources.h
LTKScrollbar.o: LTKScrollbar.cc \
 LTKApp.h \
 ../goo/gtypes.h ../goo/GString.h \
 LTKWindow.h LTKScrollbar.h LTKWidget.h \
 LTKBorder.h
LTKScrollingCanvas.o: LTKScrollingCanvas.cc \
 LTKWindow.h ../goo/gtypes.h \
 ../goo/GString.h LTKScrollingCanvas.h \
 LTKWidget.h
LTKTextIn.o: LTKTextIn.cc \
 ../goo/gtypes.h ../goo/GString.h \
 LTKWindow.h LTKTextIn.h LTKWidget.h LTKBorder.h
LTKWidget.o: LTKWidget.cc \
 LTKWindow.h ../goo/gtypes.h \
 ../goo/GString.h LTKWidget.h
LTKWindow.o: LTKWindow.cc \
 LTKConfig.h LTKApp.h \
 ../goo/gtypes.h ../goo/GString.h LTKWindow.h LTKWidget.h LTKBox.h \
 LTKBorder.h
ltkbuild.o: ltkbuild.cc \
 ../goo/gtypes.h \
 ../goo/gmem.h ../goo/GString.h ltkbuild-widgets.h

=== xpdf/Makefile ===
#========================================================================
#
# Xpdf Makefile
#
# Copyright 1996 Derek B. Noonburg
#
#========================================================================

GOODIR = ../goo
LTKDIR = ../ltk

include ../Makefile.config

CXXFLAGS = $(CXXFLAGS2) -I$(GOODIR) -I$(LTKDIR)

#------------------------------------------------------------------------

all: xpdf pdftops

#------------------------------------------------------------------------

XPDF_OBJS = Array.o Catalog.o Dict.o Error.o Gfx.o GfxFont.o \
	GfxState.o Lexer.o Link.o Object.o OutputDev.o Page.o Params.o \
	Parser.o PDFDoc.o PSOutputDev.o Stream.o XOutputDev.o XRef.o \
	xpdf.o
XPDF_LIBS = -L$(LTKDIR) -lLTK -L$(GOODIR) -lGoo $(XLIBS) -lm

xpdf: $(XPDF_OBJS)
	$(CXX) $(CXXFLAGS) -o xpdf $(XPDF_OBJS) $(XPDF_LIBS)
	$(STRIP) xpdf

xpdf-ltk.h: xpdf.ltk
	$(LTKDIR)/ltkbuild <xpdf.ltk >xpdf-ltk.h

#------------------------------------------------------------------------

PDFTOPS_OBJS = Array.o Catalog.o Dict.o Error.o Gfx.o GfxFont.o \
	GfxState.o Lexer.o Link.o Object.o OutputDev.o Page.o Params.o \
	Parser.o PDFDoc.o PSOutputDev.o Stream.o XRef.o pdftops.o
PDFTOPS_LIBS = -L$(GOODIR) -lGoo -lm

pdftops: $(PDFTOPS_OBJS)
	$(CXX) $(CXXFLAGS) -o pdftops $(PDFTOPS_OBJS) $(PDFTOPS_LIBS)
	$(STRIP) pdftops

#------------------------------------------------------------------------

clean:
	rm -f $(XPDF_OBJS) xpdf-ltk.h xpdf
	rm -f $(PDFTOPS_OBJS) pdftops
	rm -f Makefile.bak

#------------------------------------------------------------------------

depend: xpdf-ltk.h
	cp Makefile Makefile.bak
	sed '/^#----- dependences -----/q' Makefile.bak >Makefile
	echo >>Makefile
	$(CXX) $(CXXFLAGS) -M $(XPDF_OBJS:.o=.cc) pdftops.cc |\
	  sed 's/\/usr\/[^ ]* *//g;/^  \\$$/d' >>Makefile

#----- dependences -----

Array.o: Array.cc \
 ../goo/gmem.h \
 Object.h \
 ../goo/gtypes.h ../goo/GString.h Array.h Dict.h Stream.h
Catalog.o: Catalog.cc \
 ../goo/gmem.h \
 Object.h \
 ../goo/gtypes.h ../goo/GString.h Array.h Dict.h \
 Stream.h Page.h Error.h Catalog.h
Dict.o: Dict.cc \
 ../goo/gmem.h \
 Object.h \
 ../goo/gtypes.h ../goo/GString.h Array.h Dict.h Stream.h XRef.h
Error.o: Error.cc \
 ../goo/gtypes.h \
 Params.h Error.h
Gfx.o: Gfx.cc \
 ../goo/gmem.h ../goo/cover.h Object.h \
 ../goo/gtypes.h ../goo/GString.h Array.h Dict.h Stream.h Lexer.h \
 Parser.h GfxFont.h GfxState.h OutputDev.h Params.h Error.h Gfx.h
GfxFont.o: GfxFont.cc \
 ../goo/GString.h ../goo/gmem.h ../goo/fileNames.h ../goo/gtypes.h \
 Object.h Array.h Dict.h Stream.h Error.h Params.h GfxFont.h \
 FontInfo.h
GfxState.o: GfxState.cc \
 ../goo/gmem.h \
 Object.h \
 ../goo/gtypes.h ../goo/GString.h Array.h Dict.h Stream.h GfxState.h
Lexer.o: Lexer.cc \
 Lexer.h Object.h \
 ../goo/gtypes.h ../goo/gmem.h \
 ../goo/GString.h Array.h Dict.h Stream.h Error.h
Link.o: Link.cc \
 ../goo/gmem.h \
 ../goo/GString.h \
 Error.h Object.h ../goo/gtypes.h Array.h Dict.h Stream.h Link.h
Object.o: Object.cc \
 Object.h \
 ../goo/gtypes.h \
 ../goo/gmem.h ../goo/GString.h Array.h Dict.h Stream.h Error.h XRef.h
OutputDev.o: OutputDev.cc \
 OutputDev.h \
 ../goo/gtypes.h
Page.o: Page.cc \
 Object.h \
 ../goo/gtypes.h \
 ../goo/gmem.h ../goo/GString.h Array.h Dict.h Stream.h XRef.h \
 OutputDev.h Gfx.h Error.h Params.h Page.h
Params.o: Params.cc \
 ../goo/gtypes.h ../goo/gmem.h ../goo/GString.h ../goo/fileNames.h \
 Params.h
Parser.o: Parser.cc \
 Object.h \
 ../goo/gtypes.h \
 ../goo/gmem.h ../goo/GString.h Array.h Dict.h Stream.h Parser.h \
 Lexer.h Error.h
PDFDoc.o: PDFDoc.cc \
 ../goo/GString.h Page.h Object.h ../goo/gtypes.h ../goo/gmem.h \
 Array.h Dict.h Stream.h Catalog.h XRef.h Link.h OutputDev.h Params.h \
 Error.h PDFDoc.h
PSOutputDev.o: PSOutputDev.cc \
 ../goo/GString.h \
 config.h Object.h ../goo/gtypes.h ../goo/gmem.h Array.h Dict.h \
 Stream.h Error.h GfxState.h GfxFont.h Catalog.h Page.h PSOutputDev.h \
 OutputDev.h
Stream.o: Stream.cc \
 ../goo/gmem.h config.h \
 Error.h Object.h ../goo/gtypes.h ../goo/GString.h Array.h Dict.h \
 Stream.h Stream-CCITT.h
XOutputDev.o: XOutputDev.cc \
 ../goo/gmem.h \
 ../goo/GString.h ../ltk/LTKWindow.h \
 ../goo/gtypes.h \
 ../ltk/LTKScrollingCanvas.h ../ltk/LTKWidget.h Object.h Array.h \
 Dict.h Stream.h GfxState.h GfxFont.h Error.h Params.h XOutputDev.h \
 config.h OutputDev.h XOutputFontInfo.h
XRef.o: XRef.cc \
 ../goo/gmem.h \
 Object.h ../goo/gtypes.h ../goo/GString.h \
 Array.h Dict.h Stream.h Lexer.h Parser.h Error.h XRef.h
xpdf.o: xpdf.cc \
 ../goo/gtypes.h ../goo/GString.h ../goo/parseargs.h \
 ../goo/fileNames.h ../goo/cover.h ../ltk/LTKAll.h ../ltk/LTKApp.h \
 ../ltk/LTKWindow.h ../ltk/LTKWidget.h ../ltk/LTKBox.h \
 ../ltk/LTKBorder.h ../ltk/LTKButton.h ../ltk/LTKCanvas.h \
 ../ltk/LTKDblBufCanvas.h ../ltk/LTKEmpty.h ../ltk/LTKLabel.h \
 ../ltk/LTKScrollbar.h ../ltk/LTKScrollingCanvas.h ../ltk/LTKTextIn.h \
 ../ltk/LTKResources.h Object.h \
 ../goo/gmem.h Array.h Dict.h Stream.h XRef.h Catalog.h Page.h Link.h \
 PDFDoc.h XOutputDev.h config.h OutputDev.h PSOutputDev.h Params.h \
 Error.h leftArrow.xbm dblLeftArrow.xbm rightArrow.xbm \
 dblRightArrow.xbm zoomIn.xbm zoomOut.xbm rotateCW.xbm rotateCCW.xbm \
 postscript.xbm about.xbm xpdf-ltk.h
pdftops.o: pdftops.cc \
 ../goo/parseargs.h ../goo/gtypes.h ../goo/GString.h Object.h \
 ../goo/gmem.h Array.h Dict.h Stream.h XRef.h Catalog.h Page.h \
 PDFDoc.h Link.h PSOutputDev.h config.h OutputDev.h Params.h Error.h

## xpdf 3.02

=== debian/changelog ===
xpdf (3.02-11ubuntu1) natty; urgency=low

  * Add -lXt -lX11 to LIBS definition in debian/rules to fix FTBFS due to
    indirect linking

 -- Scott Kitterman <scott@kitterman.com>  Sun, 17 Oct 2010 00:53:43 -0400

xpdf (3.02-11) unstable; urgency=medium

  * Apply arrow key bindings only in the fullscreen context
    (closes: #595547, #595075).
  * Also remove xpdf-reader dangling symlink (closes: #595076).
  * Fix Vcs-Git field.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 05 Sep 2010 17:57:28 -0400

xpdf (3.02-10) unstable; urgency=low

  [Michael Gilbert]
  * Make language file installation slightly more robust/automated.
  * Bind arrow keys to next/prev page actions by default (closes: #200610).
  * Use Breaks instead of Conflicts.
  * No need to break or conflict xpdf-common since replaces is enough to
    enable successful upgrades from lenny.
  * Remove dangling symlink leftover by lenny xpdf package (closes: #589650).
  * Bump standards version to 3.9.1 (no changes required).
  * Recommend gsfonts-x11 package.
  * Remove refrences to poppler-utils files in xpdfrc and clean it up a bit.
  * Drop unneeded 'Provides'.
  * Drop conflicts/breaks with packages that no longer exist in lenny.
  * Version all 'Breaks'.
  * Include references to origin of all poppler patches in headers.
  * Include comment on debian-specific changes in use-system-xpdfrc.patch.
  * Correct zxpdf symlink (closes: #593565).

  [Osamu Aoki]
  * Remove xpdf-common and clean up dependencies (closes: #589425).
  * zxpdf: remove temp file on exit (closes: #280460).
  * zxpdf: search compressed file names (closes: #501661).
  * Fix typo in "xpdf --help" output.
  * Explain zoom (+-) only after "0" (closes: #426502).
  * Restore xpdf.desktop file (closes: #589542).
  * Drop update-xpdfrc: no longer needed due to poppler transition
    (closes: #437529).

  [Rogério Brito]
  * Update debian/copyright to reflect change of maintainership.

 -- Osamu Aoki <osamu@debian.org>  Wed, 21 Jul 2010 23:16:50 +0900

xpdf (3.02-9) unstable; urgency=low

  * Reactivate zoomFitHeight properly by merging it into fix-580495.patch.
  * Set VCS-* and Uploaders fields.

 -- Osamu Aoki <osamu@debian.org>  Sat, 17 Jul 2010 16:00:23 +0900

xpdf (3.02-8) unstable; urgency=low

  [Michael Gilbert]
  * Bump standards version to 3.9.0 (no changes required).
  * Clean up formatting of debian/control.
  * xpdf.postrm: remove languages from /etc/xpdf.

  [Rogério Brito]
  * Don't specify icon extension name in xpdf.desktop (closes: #551544).
  * zxpdf: support file extensions with any capitalization of 'pdf'.
  * zxpdf: add support for xz compression.
  * Make transitional packages architecture independent.
  * Add patch to make zoom levels more flexible (closes: #580495).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 14 Jul 2010 20:46:02 -0400

xpdf (3.02-7) unstable; urgency=low

  * Fix xpdf package long description.
  * Bump compat version to 7.
  * Drop legacy support for xpdf 2.0.
  * Add in LDFLAGS to xpdf compilation.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 21 Jun 2010 00:43:13 -0400

xpdf (3.02-6) unstable; urgency=low

  [Michael Gilbert]
  * Remove outdated README.Debian (information is no longer relevant).
  * Trigger an xpdfrc refresh when poppler-data is installed/uninstalled
    - This makes it possible to provide poppler-data cmaps while avoiding
      poppler-data as a dependency (a 12 MiB package).
  * Fix the warning message printed to /etc/xpdf/includes.

  [Rogério Brito]
  * Add "-mattecolor" to help output (closes: 458468).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 14 Jun 2010 23:07:31 -0400

xpdf (3.02-5) unstable; urgency=low

  * Use poppler-data to provide support for additional languages
    (closes: #461411, #548182, #548183, #548184, #548185, #577917).
    - Eliminates the need for the xpdf-* language packages.
    - Thanks to Hideki Yamane!
  * Reestablish /etc/xpdf/xpdfrc as the resource file (this was inadvertantly
    dropped in the conversion to poppler since we are no longer using configure,
    but is now fixed).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 14 Jun 2010 18:29:34 -0400

xpdf (3.02-4) experimental; urgency=low

  * Version the dependency on libpoppler-dev.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 04 Jun 2010 00:32:40 -0400

xpdf (3.02-3) experimental; urgency=low

  * Use system poppler library (closes: #351279).
    - Thanks to Martin Pitt for the initial work on xpdf-poppler and to
      Gentoo for maintaining that in their archive for the past couple years.
    - Drop xpdf-utils package; no reason to duplicate poppler-utils anymore
      (closes: #576683).
    - Eliminate xpdf-reader and xpdf-common (no reason to separate these from
      xpdf anymore).
    - Drop the following patches (this code is no longer built here; it is
      provided by poppler):
      - fix-444648.patch
      - fix-462544.patch
      - fix-CVE-2007-3387_CVE-2007-5049.dpatch
      - fix-CVE-2007-5393_2007-5392_2007-4352.dpatch
      - fix-CVE-2009-0146,0147,0165,0166,0799,0800,1179-1183.dpatch
      - fix-CVE-2009-3603+CVE-2009-1188.patch
      - fix-CVE-2009-3604.patch
      - fix-CVE-2009-3606.patch
      - fix-CVE-2009-3608.patch
      - fix-CVE-2009-3609.patch
  * Add some patch descriptions.
  * Remove last remnants of dpatch (the package now uses quilt).
  * Fix a quirky floating point comparison that was leading to problems on
    i386 with gcc 4.4 (closes: #577031, #577086).
  * Revert zoomFitHeight patch since it breaks zoomFitPage and zoomFitWidth
    (closes: #576543, 578892).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 26 May 2010 22:34:38 -0400

xpdf (3.02-2) unstable; urgency=high

  [Michael Gilbert]
  * Fix multiple security issues (closes: #551287, #575779).
    - CVE-2009-1188: Integer overflow in the JBIG2 decoding feature in the
      SplashBitmap::SplashBitmap function in SplashBitmap.cc.


=== debian/control ===
Source: xpdf
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Gilbert <michael.s.gilbert@gmail.com>
Uploaders: Osamu Aoki <osamu@debian.org>
Standards-Version: 3.9.1
Build-Depends: 
 debhelper (>= 7.0.50~),
 pkg-config,
 libx11-dev,
 lesstif2-dev,
 libpoppler-dev (>= 0.12.4)
Homepage: http://www.foolabs.com/xpdf/
Vcs-Browser: http://git.debian.org/?p=collab-maint/xpdf.git
Vcs-Git: git://git.debian.org/git/collab-maint/xpdf.git

Package: xpdf
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 xpdf-japanese (<= 1:20040727-1),
 xpdf-korean (<= 1:20040727-1),
 xpdf-chinese-simplified (<= 20040727-1),
 xpdf-chinese-traditional (<= 1:20040727-1),
 xpdf-reader (<< 3.02-10)
Replaces:
 xpdf-common,
 xpdf-reader,
 xpdf-japanese,
 xpdf-korean,
 xpdf-chinese-simplified,
 xpdf-chinese-traditional 
Recommends:
 poppler-utils,
 poppler-data,
 gsfonts-x11
Provides:
 pdf-viewer
Description: Portable Document Format (PDF) reader
 xpdf is a viewer for Portable Document Format (PDF) files.  These are,
 sometimes, called 'Acrobat' files after the name of Adobe's PDF software.

Package: xpdf-reader
Architecture: all
Depends:
 ${misc:Depends},
 xpdf
Description: Transitional package for xpdf
 This is a transitional package for xpdf, and can be safely removed
 after the installation is complete. 

Package: xpdf-utils
Architecture: all
Depends:
 ${misc:Depends},
 poppler-utils
Description: Transitional package for poppler-utils
 This is a transitional package for poppler-utils, and can be safely removed
 after the installation is complete.

=== debian/rules ===
#!/usr/bin/make -f

LIBS=-lXm -lX11 -lXt $(shell pkg-config --libs poppler)
INCLUDES=$(strip $(shell pkg-config --cflags poppler))
CPPFLAGS+=$(INCLUDES) $(INCLUDES)/goo $(INCLUDES)/splash -Wno-write-strings -DHAVE_DIRENT_H

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_auto_configure:

prepare::
	mkdir -p build
	cp goo/parseargs.* xpdf/CoreOutputDev.* xpdf/GlobalParams.* build
	cp xpdf/PDFCore.* xpdf/XPDFApp.* xpdf/XPDFCore.* xpdf/XPDFTree.* build
	cp xpdf/XPDFTreeP.h xpdf/XPDFViewer.* xpdf/xpdf.cc build
	
	# perform extensive goo rename (as required by poppler)
	sed -i s/GString/GooString/g build/*
	sed -i s/GMutex/GooMutex/g build/*
	sed -i s/GHash/GooHash/g build/*
	sed -i s/GList/GooList/g build/*
	sed -i s/\<aconf\.h\>/\<poppler-config\.h\>/g build/*
	cp xpdf/config.h xpdf/about-text.h xpdf/*.xbm xpdf/xpdfIcon.xpm build

override_dh_auto_build: prepare build/CoreOutputDev.o build/GlobalParams.o build/PDFCore.o build/XPDFApp.o build/XPDFCore.o build/XPDFTree.o build/XPDFViewer.o build/parseargs.o build/xpdf.o
	$(CXX) $(LDFLAGS) -o build/xpdf build/*.o $(LIBS)

%:
	dh ${@}

## xpdf 3.03

=== debian/changelog ===
xpdf (3.03-9ubuntu5) quantal; urgency=low

  * No-change rebuild for libpoppler27 -> libpoppler28 transition.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 12 Sep 2012 16:33:31 +1200

xpdf (3.03-9ubuntu4) quantal; urgency=low

  * No-change rebuild for libpoppler26 -> libpoppler27 transition.

 -- Ilya Barygin <randomaction@ubuntu.com>  Fri, 07 Sep 2012 22:29:11 +0400

xpdf (3.03-9ubuntu3) quantal; urgency=low

  * No change rebuild for libpoppler26 (poppler 0.20.1-1ubuntu1)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 22 Jun 2012 17:19:06 +1200

xpdf (3.03-9ubuntu2) quantal; urgency=low

  * Follow changes to libpoppler25 ABI.

 -- Andy Whitcroft <apw@canonical.com>  Tue, 12 Jun 2012 08:57:22 +0100

xpdf (3.03-9ubuntu1) quantal; urgency=low

  * debian/rules:
    Don't use LDFLAGS to specify which libraries to link with but use LIBS
    instead (closes: #671765)

 -- Michael Bienia <geser@ubuntu.com>  Thu, 17 May 2012 10:54:46 +0200

xpdf (3.03-9) unstable; urgency=low

  * Let poppler find and select non-embedded font file locations.  Thanks to
    Vincent Lefevre for finding a solution to this problem (closes: #641873).
  * Remove now ineffective font file configuration options from xpdfrc.
  * Revert UTF8 title conversion change (closes: #659272).
  * Revert lp as default print command.  Use lpr (the privious default) and
    recommend cups-bsd package (closes: #652606).
  * Fix segfault issue in additional zoom options patch and enable it again.
    Thanks to Jörg-Volker Peetz (closes: #654308).
  * Support title refresh when starting from a non-compressed file
    (lp: #932062).
  * Use "Xpdf" instead of "xpdf" in documentation on Xresources
    (closes: #631450).
  * Check exit codes of system calls (fix -Wunused-result compiler warnings).
  * Fix a pointer casting to a different size (fix -Wint-to-pointer-cast
    compiler warning).
  * Add -Wno-format-extra-args to build flags.
  * Bump standards to 3.9.3.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 24 Feb 2012 17:33:29 -0500

xpdf (3.03-8) unstable; urgency=low

  * Fix uncompressed file handling (closes: #647223).
  * Build-conflict with binutils-gold (closes: #648556).
  * Bump to debhelper 9.
    - simplify hardening build flag logic in debian/rules (closes: #652689).
  * Convert UTF8 titles to ISO8859 when yudit is available (closes: #645903).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Tue, 06 Dec 2011 15:11:46 -0500

xpdf (3.03-7) unstable; urgency=low

  * Fix build-hardening to include +pie,+bindnow.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 29 Oct 2011 17:16:18 -0400

xpdf (3.03-6) unstable; urgency=low

  * Build with binutils-gold.
  * Fix hyphen in xpdfrc manpage.
  * Enable all build-hardening flags.
  * Fix some invalid type conversions.
  * Update copyright file to latest dep5 standard.
  * Fix temp file handling with exec (closes: #642203).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 15 Oct 2011 01:01:54 -0400

xpdf (3.03-5) unstable; urgency=low

  * Use exec to launch xpdf.real (closes: #640177). 
  * Use lp as default print command (closes: #614045).
  * Really fix xpdfrc config file location (closes: #641941).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 17 Sep 2011 04:18:00 -0400

xpdf (3.03-4) unstable; urgency=low

  * Fix helvetica font entry in xpdfrc.
  * Remove t1lib options from xpdfrc.
  * Assign system xpdfrc file location in debian/rules (drop patch).
  * Replace newly deprecated commands in various language support files
    (closes: #640486,640162).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 17 Sep 2011 00:35:39 -0400

xpdf (3.03-3) unstable; urgency=low

  * Use better quoting in the xpdf wrapper script.
  * Replace deprecated "displayFontT1" option in the default xpdfrc file with
    its new replacement: "fontFile" (closes: #640967, #640486).
  * Disable additional zoom features patch for now (closes: #427632):
    - if anyone wants this to be re-enabled, the patch needs to be corrected so
      that fullscreen continuous mode no longer crashes (see closed bug).
  * Fix skipping first file passed to "-m" argument (closes: #640897).
  * Add binutils-gold build conflict.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 04 Sep 2011 14:50:57 -0400

xpdf (3.03-2) unstable; urgency=low

  * Remove old breaks/replaces.
  * Remove unsatisfiable versioned dependency on lesstif.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 01 Sep 2011 23:33:38 -0400

xpdf (3.03-1) unstable; urgency=low

  * New upstream release:
    - Refresh patches.
    - Drop 12-fix-typo-in-help.patch, fix-437725.patch, fix-479467.patch, and
      fix-577031.patch (now applied upstream).
  * Add various patches for poppler's alternative api:
    - use-poppler-fix-findtext.patch, use-poppler-fix-textoutputdev.patch,
      use-poppler-openfile.patch, and use-poppler-fix-findfontfile.patch.
  * Remove libxt linker flag.
  * Use -fpermissive build flag.
  * Really pass all arguments when using -m.
  * Fix broken -z argument (closes: #636390).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 03 Aug 2011 23:58:42 -0400

xpdf (3.02-21) unstable; urgency=low

  * Pass real file name when not compressed (closes: #636432).
  * Handle backslashes in filenames with -m option (closes: #636403).
  * Document quirks of -m (closes: #636449).
  * Pass all arguments in -m option.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 03 Aug 2011 22:55:26 -0400

xpdf (3.02-20) unstable; urgency=low

  * Simplify wrapper logic.
  * Set up tempfile trap before extracting compressed pdf files
    (closes: #635850).
  * Fix titling on compressed files (closes: #635881).
  * Use newlines to separate file names "-m" option handling (closes: #635852).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 31 Jul 2011 03:22:48 -0400

xpdf (3.02-19) unstable; urgency=high

  * Fix insecure tempfile usage (closes: #635849).



=== debian/control ===
Source: xpdf
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Gilbert <michael.s.gilbert@gmail.com>
Uploaders: Osamu Aoki <osamu@debian.org>
Standards-Version: 3.9.3
Build-Depends: 
 debhelper (>= 9),
 pkg-config,
 libx11-dev,
 lesstif2-dev,
 libpoppler-dev (>= 0.16),
Build-Conflicts:
 binutils-gold,
DM-Upload-Allowed: yes
Homepage: http://www.foolabs.com/xpdf/
Vcs-Browser: http://git.debian.org/?p=collab-maint/xpdf.git
Vcs-Git: git://git.debian.org/git/collab-maint/xpdf.git

Package: xpdf
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 poppler-utils,
 poppler-data,
 gsfonts-x11,
 cups-bsd,
Provides:
 pdf-viewer
Description: Portable Document Format (PDF) reader
 xpdf is a light-weight open source viewer for Portable Document Format (PDF)
 files (also called 'Adobe Acrobat' or 'Acrobat' files).  This is just the
 xpdf viewer client; various command-line pdf tools are now provided via the
 poppler-utils package.

=== debian/rules ===
#!/usr/bin/make -f

# build-hardening flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

includes=$(strip $(shell pkg-config --cflags poppler))
LIBS+=-lXm $(shell pkg-config --libs poppler --libs xt --libs x11)
CPPFLAGS+=$(includes) $(includes)/goo $(includes)/splash -Wno-write-strings -DHAVE_DIRENT_H
CPPFLAGS+=-Wno-format-extra-args -DSYSTEM_XPDFRC=\"/etc/xpdf/xpdfrc\"

files=goo/parseargs xpdf/CoreOutputDev xpdf/GlobalParams xpdf/PDFCore
files+=xpdf/XPDFApp xpdf/XPDFCore xpdf/XPDFTree xpdf/XPDFViewer xpdf/xpdf
headers=xpdf/config.h xpdf/XPDFTreeP.h xpdf/about-text.h xpdf/*.xbm xpdf/xpdfIcon.xpm

sources=$(shell for file in $(files); do echo $$file.*; done)
objects=$(shell for file in $(files); do echo build/$$(basename $$file).o; done)

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_auto_configure:
	mkdir -p build
	cp $(sources) $(headers) build
	sed -e s/GString/GooString/g -e s/GMutex/GooMutex/g -e s/GHash/GooHash/g \
	    -e s/GList/GooList/g -e s/\<aconf\.h\>/\<poppler-config\.h\>/g \
	    -i build/*
	mv build/parseargs.c build/parseargs.cc

override_dh_auto_build: $(objects)
	$(CXX) $(LDFLAGS) -o build/xpdf.real build/*.o $(LIBS)

%:
	dh ${@}

## xpdf 3.04

=== debian/changelog ===
xpdf (3.04-4) unstable; urgency=medium

  * QA upload.
  * Fix VCS fields, now in secure mode.

  [ Iain Lane ]
  * debian/xpdf.{svg,install}: Install a .svg icon created by Bryan Quigley,
    so that xpdf appears in AppStream. (LP: #1557675)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Jan 2017 11:15:33 +0100

xpdf (3.04-3) unstable; urgency=medium

  * Set maintainer field Debian QA Group (see: #848631).
  * Support cross building (closes: #843267).
    - Thanks to Helmut Grohne.
  * Fix argument handling in the wrapper script (closes: #793552).
    - Thanks to Vincent Lefevre.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 19 Dec 2016 02:48:12 +0000

xpdf (3.04-2) experimental; urgency=medium

  * Remove menu file.
  * Update standards version.
  * Fix desktop file exec line.
  * Restore key binding support (closes: #739271).
    - Thanks to Adam Sampson.
  * Restore support for initialZoom (closes: #737628).
    - Thanks to Vincent Lefevre.
  * Fix PSOutputDev argument order (closes: #617546).
    - Thanks to Simon Tatham.
  * Handle renaming of Japanese font files (closes: #796492).
    - Thanks to Hideki Yamane.
  * Sort object files during linking (closes: #819352).
  * Refactor XPDFParams to keep it better in sync with upstream's GlobalParams.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 31 Jul 2016 21:31:54 +0000

xpdf (3.04-1) unstable; urgency=medium

  * New upstream release.
  * Standards version 3.9.7.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 07 Feb 2016 17:37:07 +0000

xpdf (3.03-18) unstable; urgency=medium

  * Support poppler 0.38 (closes: #807087).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Jan 2016 03:38:52 +0000

xpdf (3.03-17) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 Apr 2014 03:10:29 +0000

xpdf (3.03-16+experimental2) experimental; urgency=medium

  * Build-depend poppler >= 0.24.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 26 Jan 2014 19:43:27 +0000

xpdf (3.03-16+experimental1) experimental; urgency=medium

  * Support poppler 0.24 (closes: #736443).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 25 Jan 2014 20:13:19 +0000

xpdf (3.03-16) unstable; urgency=medium

  * Make selections visible in reverse mode (closes: #692931).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 23 Jan 2014 23:38:48 +0000

xpdf (3.03-15) experimental; urgency=low

  * Build-depend poppler >= 0.22.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 20 Jan 2014 06:02:20 +0000

xpdf (3.03-14) experimental; urgency=low

  * Move Error.h into the build directory.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 20 Jan 2014 05:32:40 +0000

xpdf (3.03-13) experimental; urgency=low

  * Don't require poppler >= 0.24.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 20 Jan 2014 05:05:45 +0000

xpdf (3.03-12) experimental; urgency=low

  * Fix vcs-git url (closes: #728283).
  * Support poppler 0.20 (closes: #679896).
  * Support poppler 0.22 (closes: #719224). 
  * Drop binutils-gold conflict (closes: #725514).
  * Separate xpdf-specific global parameters (closes: #658264, #727070).
    - Thanks to Dmitry Shachnev!

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 20 Jan 2014 02:54:13 +0000

xpdf (3.03-11) unstable; urgency=low

  * Bump standards to 3.9.4.
  * Fix printing issue (closes: #622877).
  * Add libxt-dev build dependency (closes: #707927).
  * Support linking with --as-needed (closes: #671765).
  * Switch to libmotif instead of lesstif (closes: #697098).
  * Replace and conflict with xpdf-reader (closes: #707818).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 31 May 2013 19:33:24 +0000

xpdf (3.03-10) unstable; urgency=low

  * Build-depend on libpoppler-private-dev (closes: #660992).
  * Update my email address.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 11 Jun 2012 21:40:47 -0400

=== debian/control ===
Source: xpdf
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.8
Build-Depends: 
 debhelper (>= 9),
 pkg-config,
 libxt-dev,
 libx11-dev,
 libmotif-dev,
 libpoppler-private-dev (>= 0.26),
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xpdf.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xpdf.git
Homepage: http://www.foolabs.com/xpdf

Package: xpdf
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 poppler-utils,
 poppler-data,
 gsfonts-x11,
 cups-bsd,
Provides:
 pdf-viewer,
Conflicts:
 xpdf-reader,
 xpdf-common,
Replaces:
 xpdf-reader,
 xpdf-common,
Description: Portable Document Format (PDF) reader
 xpdf is a light-weight open source viewer for Portable Document Format (PDF)
 files (also called 'Adobe Acrobat' or 'Acrobat' files).  This is just the
 xpdf viewer client; various command-line pdf tools are now provided via the
 poppler-utils package.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

files=goo/parseargs xpdf/xfile xpdf/XPDFParams xpdf/CoreOutputDev xpdf/PDFCore
files+=xpdf/XPDFApp xpdf/XPDFCore xpdf/XPDFTree xpdf/XPDFViewer xpdf/xpdf
headers=xpdf/config.h xpdf/XPDFTreeP.h xpdf/about-text.h xpdf/*.xbm xpdf/xpdfIcon.xpm
includes=$(strip $(shell $(DEB_HOST_GNU_TYPE)-pkg-config --cflags poppler))

CXX=$(DEB_HOST_GNU_TYPE)-g++
LIBS+=-lXm $(shell $(DEB_HOST_GNU_TYPE)-pkg-config --libs poppler --libs xt --libs x11) -pthread
CPPFLAGS+=$(includes) $(includes)/goo $(includes)/splash
CPPFLAGS+=-Wno-write-strings -Wno-format-extra-args -Wfatal-errors
CPPFLAGS+=-DHAVE_DIRENT_H -DSYSTEM_XPDFRC=\"/etc/xpdf/xpdfrc\"

sources=$(sort $(shell for file in $(files); do echo $$file.*; done))
objects=$(sort $(shell for file in $(files); do echo build/$$(basename $$file).o; done))

override_dh_clean:
	dh_clean
	rm -rf build xpdf/xfile.* xpdf/XPDFParams.*

xpdf/xfile.%: goo/gfile.%
	cp $< $@
	sed -e s/GFILE/XFILE/g -i $@

xpdf/XPDFParams.%: xpdf/GlobalParams.%
	cp $< $@
	sed -e s/globalParams/xpdfParams/g -e s/GlobalParams/XPDFParams/g \
	    -e s/GLOBALPARAMS/XPDFPARAMS/g -e s/popplerParams/globalParams/g \
	    -e s/PopplerParams/GlobalParams/g \
	    -i $@

override_dh_auto_configure: xpdf/xfile.h xpdf/xfile.cc xpdf/XPDFParams.h xpdf/XPDFParams.cc
	mkdir -p build
	cp $(sources) $(headers) build
	sed -e s/GString/GooString/g -e s/GMutex/GooMutex/g -e s/GHash/GooHash/g \
	    -e s/GList/GooList/g -e s/\<aconf\.h\>/\<poppler-config\.h\>/g \
	    -i build/*
	mv build/parseargs.c build/parseargs.cc

override_dh_auto_build: $(objects)
	$(CXX) $(LDFLAGS) -o build/xpdf.real $^ $(LIBS)

%:
	dh ${@}

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/" \
ftp://ftp.foolabs.com/pub/xpdf/xpdf-([\d.]+)\.tar\.gz

## xpdf 3.04%2Bgit20220201

=== debian/control ===
Source: xpdf
Section: text
Priority: optional
Maintainer: Florian Schlichting <fsfs@debian.org>
Standards-Version: 4.6.0
Build-Depends:
 debhelper-compat (= 13),
 pkg-config,
 libpaper-dev,
 libxt-dev,
 libx11-dev,
 libmotif-dev,
 libpoppler-private-dev (>= 0.76),
Vcs-Browser: https://salsa.debian.org/debian/xpdf
Vcs-Git: https://salsa.debian.org/debian/xpdf.git
Homepage: https://offog.org/code/xpopple/
Rules-Requires-Root: no

Package: xpdf
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 poppler-utils,
 poppler-data,
 gsfonts-x11,
 cups-bsd,
 sensible-utils,
Provides:
 pdf-viewer,
Description: Motif-based PDF reader using the Poppler library
 xpdf is a light-weight open source viewer for Portable Document Format (PDF)
 files (also called 'Adobe Acrobat' or 'Acrobat' files).  This is just the
 xpdf viewer client; various command-line pdf tools are now provided via the
 poppler-utils package.
 .
 Debian's xpdf is a fork of Xpdf version 3, modified to use the Poppler
 PDF rendering library but keeping the Motif toolkit, and nowadays maintained
 as the xpopple project.

## xpdf 3.04%2Bgit20220601

=== debian/changelog ===
xpdf (3.04+git20220601-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20220601 (closes: #1012806)
  * Update copyright years
  * Declare compliance with Debian Policy 4.6.1

 -- Florian Schlichting <fsfs@debian.org>  Fri, 17 Jun 2022 22:37:02 +0800

xpdf (3.04+git20220201-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20220201

 -- Florian Schlichting <fsfs@debian.org>  Tue, 08 Feb 2022 22:04:11 +0800

xpdf (3.04+git20211021-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20211021
  * drop unnecessary uupdate script from d/watch

 -- Florian Schlichting <fsfs@debian.org>  Thu, 21 Oct 2021 20:48:52 +0800

xpdf (3.04+git20211001-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Florian Schlichting ]
  * d/copyright: use secure URI in Source field
  * Import new upstream version 3.04+git20211001
    + use render tables to select Xft Unicode fonts for (closes: #683399)
    + enable Motif locale support, convert search strings from the locale's
      encoding (closes: #946270)
    + use unicode when displaying the table of contents (closes: #668945)
    + add a findPrev command and keybinding (closes: #989369)
  * Add a Bug-Submit address to upstream metadata
  * Add a watch file looking at upstream's git HEAD
  * Declare compliance with Debian Policy 4.6.0

 -- Florian Schlichting <fsfs@debian.org>  Thu, 14 Oct 2021 23:54:24 +0800

xpdf (3.04+git20210103-3) unstable; urgency=medium

  * Fix automatic injection of hardening buildflags

 -- Florian Schlichting <fsfs@debian.org>  Thu, 04 Mar 2021 22:41:56 +0800

xpdf (3.04+git20210103-2) unstable; urgency=medium

  * Fix printing when no psLevel is defined in xpdfrc (closes: #983880)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 04 Mar 2021 14:20:04 +0800

xpdf (3.04+git20210103-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20210103
    + switch to xpopple as new upstream (closes: #977182)
    + fix obvious memory leaks (closes: #945188, #942086)
    + no longer crash on empty documents (closes: #968354)
    + properly ask for passwords (closes: #606885)
    + correctly recognize working and document obsolete config file commands
      (closes: #971805, #863382)
  * Drop patches, all applied in (or obsoleted by) xpopple upstream
  * Bump dh compat to level 13
  * Greatly simplify d/rules (but keep linking to libpaper)
  * Keep installing our xpdf wrapper script
  * Ensure wrapper script correctly handles all xpdf options
  * Add wrapper script options back to xpdf manpage
  * Drop obsolete language support files and infrastructure
  * Mention new upstream in relevant places, drop d/watch
  * Adopt xpdf (closes: #848631)
  * Ship TODO in docs
  * Add Rules-Requires-Root: no
  * Declare compliance with Debian Policy 4.5.1

 -- Florian Schlichting <fsfs@debian.org>  Thu, 28 Jan 2021 15:58:32 +0800

xpdf (3.04-14) unstable; urgency=medium

  * QA upload
  * Add patches from xpopple for compatibility with poppler 20.09.0 (closes: #955552)
  * Fix memory leaks, patch from Bernhard Übelacker (closes: #945188)
  * Fix tempfile warning, thanks Vincent Lefevre (closes: #961597)
  * Support more MIME types in xpdf.desktop (closes: #901541)
  * Fix typo in manpage (closes: #973573)

 -- Florian Schlichting <fsfs@debian.org>  Fri, 11 Dec 2020 00:43:16 +0800

xpdf (3.04-13exp3) experimental; urgency=medium

  * QA upload
  * Tighteen libpoppler-dev dependency to version 0.76, since the patch
    is not retro-compatible (Closes: #943523).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2019 12:31:54 +0200

xpdf (3.04-13exp2) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/patches/poppler-0.76.patch:
    - updated for the new poppler version
  * QA upload.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 May 2019 19:01:04 +0200

xpdf (3.04-13exp1) experimental; urgency=medium

  * debian/patches/poppler-0.74.patch:
    - updated for the new poppler version
  [ Gianfranco Costamagna ]
  * QA upload.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Feb 2019 18:23:26 +0100

xpdf (3.04-13) unstable; urgency=medium

  * Upload to unstable, now poppler 0.71
    transition has started

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Jan 2019 09:06:35 +0100

xpdf (3.04-12exp1) experimental; urgency=medium

  * QA upload.
  * Upload to experimental, with patch for new poppler 0.71

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Dec 2018 09:54:25 +0100

xpdf (3.04-12) unstable; urgency=medium

  * QA upload
  * Adds a dependency to sensible-utils.

 -- GOTO Masanori <gotom@debian.org>  Mon, 17 Dec 2018 21:55:46 +0900

xpdf (3.04-11) unstable; urgency=medium

  * QA upload
  * Revert to 3.04-9 version because unstable has old
    poppler

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Dec 2018 15:13:34 +0100

xpdf (3.04-10) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * QA upload
  * Bump std-version to 4.2.1, no changes required

  [ Iain Lane ]
  * debian/patches/poppler-0.71.patch: Update for poppler 0.71's latest lot of
    deprecations / removals.
  * debian/rules: deleteGooList(someList, someType) became
    deleteGooList<someType>, someList - add some sed hax to transform the
    former to the latter.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Dec 2018 22:50:44 +0100

xpdf (3.04-9) unstable; urgency=medium

  * QA upload
  * Patch also for poppler-0.69 (Closes: #910869)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Oct 2018 10:34:31 +0200

xpdf (3.04-8) unstable; urgency=medium

  * QA upload.
  * Adapt to new poppler-0.68 (Closes: #910869)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Aug 2018 17:02:55 +0200

xpdf (3.04-7) unstable; urgency=medium

  * QA upload.

  * Move packaging to salsa.d.o
  * Fix build with poppler-0.62 (thanks Matthias Klose)



## xpdf 3.04+git20210103

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.5.1
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
@@ -13,7 +13,7 @@
  libpoppler-private-dev (>= 0.76),
 Vcs-Browser: https://salsa.debian.org/debian/xpdf
 Vcs-Git: https://salsa.debian.org/debian/xpdf.git
-Homepage: https://offog.org/code/xpopple/
+Homepage: http://offog.org/code/xpopple/
 Rules-Requires-Root: no
 
 Package: xpdf

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_CPPFLAGS_MAINT_APPEND = -DHAVE_PAPER_H
export LIBS+=-lpaper

%:
	dh $@

execute_after_dh_auto_install:
	mv debian/xpdf/usr/bin/xpdf debian/xpdf/usr/bin/xpdf.real

## xpdf 3.04+git20211001

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pretty=3.04+git%cd, pgpmode=none" \
https://offog.org/git/xpopple.git \
HEAD debian uupdate

## xpdf 3.04+git20211021

=== debian/changelog ===
xpdf (3.04+git20211021-1ubuntu1) jammy; urgency=medium

  * Fix build failure with Poppler ≥ 21.11

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 12 Nov 2021 12:49:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: xpdf
 Section: text
 Priority: optional
-Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.5.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
+Standards-Version: 4.6.0
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
@@ -13,7 +14,7 @@
  libpoppler-private-dev (>= 0.76),
 Vcs-Browser: https://salsa.debian.org/debian/xpdf
 Vcs-Git: https://salsa.debian.org/debian/xpdf.git
-Homepage: http://offog.org/code/xpopple/
+Homepage: https://offog.org/code/xpopple/
 Rules-Requires-Root: no
 
 Package: xpdf

## xpdf 3.04+git20220601

=== debian/changelog ===
xpdf (3.04+git20220601-1ubuntu1) mantic; urgency=medium

  * Add debian/patches/globalparams-addfontfile-stdstring.patch to
    fix build with poppler 23.08.0 (in preparation for the upcoming
    transition) where GlobalParams::addFontFile now takes std::string
    arguments rather than GooString.

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 18 Aug 2023 15:22:49 -0400

xpdf (3.04+git20220601-1build3) mantic; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 05:20:10 -0400

xpdf (3.04+git20220601-1build2) lunar; urgency=medium

  * No-change rebuild against libpoppler126.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Dec 2022 11:45:36 +0000

xpdf (3.04+git20220601-1build1) kinetic; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 11 Aug 2022 10:00:00 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,

## xpdf 3.04+git20231213

=== debian/changelog ===
xpdf (3.04+git20231213-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20231213
    (closes: #1058619, #743631, #353756)
  * Update copyright years
  * Declare compliance with Debian Policy 4.6.2
  * Recommend fonts-urw-base35 instead of transitional gsfonts-x11
    (closes: #1020353)
  * Update .desktop categories and keywords (closes: #1036435)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 18 Dec 2023 23:05:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: xpdf
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.6.1
+Maintainer: Florian Schlichting <fsfs@debian.org>
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
@@ -25,7 +24,7 @@
 Recommends:
  poppler-utils,
  poppler-data,
- gsfonts-x11,
+ fonts-urw-base35,
  cups-bsd,
  sensible-utils,
 Provides:

## xpdf 3.04+git20240202

=== debian/changelog ===
xpdf (3.04+git20240202-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:38:28 +1100

xpdf (3.04+git20240202-1build2) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 01:03:17 +0000

xpdf (3.04+git20240202-1build1) noble; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 18:13:01 -0500

xpdf (3.04+git20240202-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20240202 (closes: #1063927)
  * Build-depend on pkgconf instead of obsolete pkg-config

 -- Florian Schlichting <fsfs@debian.org>  Sat, 17 Feb 2024 15:34:19 +0100

xpdf (3.04+git20240124-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20240118 (closes: #1061423)
  * Bump copyright years (2024)

 -- Florian Schlichting <fsfs@debian.org>  Wed, 24 Jan 2024 21:19:03 +0100

xpdf (3.04+git20240118-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20240118 (closes: #1059084)

 -- Florian Schlichting <fsfs@debian.org>  Tue, 23 Jan 2024 21:22:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: xpdf
 Section: text
 Priority: optional
-Maintainer: Florian Schlichting <fsfs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
 Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
  libpaper-dev,
  libxt-dev,
  libx11-dev,
